Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoIntAboveBound Class Reference

An eoIntBound bounded from above only. More...

`#include <eoIntBounds.h>`

Inheritance diagram for eoIntAboveBound:

List of all members.

## Public Member Functions
| eoIntAboveBound (long int _max=0)
| Simple bounds = minimum.
virtual long int | maximum () const
| get maximum value ::exception if does not exist
virtual long int | minimum () const
| get minimum value ::exception if does not exist
virtual long int | range () const
| get range ::exception if unbounded
virtual double | uniform (eoRng &_rng=eo::rng) const
| random generator of uniform numbers in bounds uses same naming convention than eo::rng ::exception if unbounded
virtual long int | random (eoRng &_rng=eo::rng) const
virtual bool | isBounded (void) const
| Self-Test: true if ***both*** a min and a max.
virtual bool | hasNoBoundAtAll (void) const
| Self-Test: true if no min ***and*** no max hence no further need to test/truncate/fold anything.
virtual bool | isMinBounded (void) const
| Self-Test: bounded from below???
virtual bool | isMaxBounded (void) const
| Self-Test: bounded from above???
virtual bool | isInBounds (double _r) const
| Test on a value: is it in bounds?
virtual void | foldsInBounds (double &_r) const
| Put value back into bounds - by folding back and forth.
virtual void | truncate (double &_r) const
| Put value back into bounds - by truncating to a boundary value.
virtual void | readFrom (std::istream &_is)
| Read object.
virtual void | printOn (std::ostream &_os) const
| Write object.
virtual eoIntBounds * | dup () const
| for memory managements - ugly
## Private Attributes
long int | repMaximum

## Detailed Description

An eoIntBound bounded from above only.

Definition at line 441 of file eoIntBounds.h.

## Member Function Documentation

virtual void eoIntAboveBound::readFrom | ( | std::istream & | _is | ) | `[inline, virtual]`

  | Read object. Parameters:
  | _is | A std::istream. but reading should not be done here, because of bound problems see eoIntVectorBounds
Implements eoPersistent. Definition at line 512 of file eoIntBounds.h.

virtual void eoIntAboveBound::printOn | ( | std::ostream & | _os | ) | const`[inline, virtual]`

  | Write object. It's called printOn since it prints the object on a stream. Parameters:
  | _os | A std::ostream.
Implements eoPrintable. Definition at line 521 of file eoIntBounds.h.

The documentation for this class was generated from the following file:

- eoIntBounds.h